### Enumeration

# Soup ServerListenOptions

#### Declaration

    flags Soup.ServerListenOptions

#### Description [src]

Options to pass to `soup_server_listen()`, etc.

`SOUP_SERVER_LISTEN_IPV4_ONLY` and `SOUP_SERVER_LISTEN_IPV6_ONLY` only make sense with `soup_server_listen_all()` and `soup_server_listen_local()`, not plain `soup_server_listen()` (which simply listens on whatever kind of socket you give it). And you cannot specify both of them in a single call.

#### Members

`SOUP_SERVER_LISTEN_HTTPS`

  Listen for https connections rather than plain http.

  - Value: `1`
  - Available since: 3.0
`SOUP_SERVER_LISTEN_IPV4_ONLY`

  Only listen on IPv4 interfaces.

  - Value: `2`
  - Available since: 3.0
`SOUP_SERVER_LISTEN_IPV6_ONLY`

  Only listen on IPv6 interfaces.

  - Value: `4`
  - Available since: 3.0